Skip to main content
PATCH
/
ncw
/
wallets
/
{walletId}
/
status
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.embeddedWallets.updateEmbeddedWalletStatus(embeddedWalletsApiUpdateEmbeddedWalletStatusRequest);
{
  "message": "<string>",
  "code": 123
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

walletId
string
required

Wallet Id

Body

application/json
enabled
boolean
required

Whether the wallet should be enabled or disabled

Example:

true

Response

No Content - Wallet status updated successfully